
/**
 * @defgroup GCON GCON - Graphical frontend for GSH
 * @ingroup GSH
 */

/** @ingroup GCON */
/** @{ */

#ifndef GCON_H
#   define GCON_H
#   define GCON_VERSION "7"
#   include "gsh.h"
#   include <stdarg.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef enum {
    GCON_ANCHOR_BOTTOM,
    GCON_ANCHOR_TOP
} GCON_ANCHOR;

void   gcon_Init(unsigned int winHeight, float fTextR, float fTextG,
                 float fTextB);
void   gcon_Shutdown(void);
void   gcon_Render(float fSize);
void   gcon_SetWindowHeight(unsigned int winHeight);
void   gcon_SetFontColor(float fTextR, float fTextG, float fTextB,
                         float fTextA);
void   gcon_SetBackgroundColor(float fBgR, float fBgG, float fBgB,
                         float fBgA);
void   gcon_Anchor(GCON_ANCHOR anchor);
float  gcon_GetFontHeight(void);


/** @name Bind functions */
/** @{ */
void   gcon_BindInit();
int   gcon_ExecKeyBind(unsigned char key, int state);
int   gcon_ExecSpecialBind(int key, int state); 
/** @} */

/** @name Input methods */
/** @{ */
void   gcon_Putch(char c);
void   gcon_SpecialKey(int key);
/** @} */

#ifdef __cplusplus
}
#endif
#endif /* GCON_H */

/** @} */
