#ifndef _SHELL_H
#define _SHELL_H

#include <math.h>
#include <stdlib.h>
#include <stdio.h>
#include "glut.h"
#include <string.h>
#include "bmp.h"
#include "mesh.h"

#define TITLE "IBMR Starter Code"
#define WIDTH 512
#define HEIGHT 532


#define SCREENSHOT "screenshot.bmp" // filename for screenshot
// outputs text pointed by string on OpenGL screen at location x,y
void OutputString (  float x,  float y,  char *string );
// Saves whatever is currently in the front frame buffer to the file specified
// Returns -1 on error, 0 on success;
int save_screenshot(char *fname);
// glut display function. Called each time screen is to be redrawed. Can be forced
// by calling glutPostRedisplay().
// This is where all the drawing related stuff takes place.
void display();
// glut reshape function. Called when the window is resized. Also called when the window
// is created. Initialize the Projection matrix here.
void reshape(int w, int h);
// glut keyboard function.
void keyboard(unsigned char key, int x, int y);
// glut special key handler
void special(int key, int x, int y);
// glut idle function. Called at every 'clock tick'
void idle(void);
// Initialize all opengl related stuff
void gl_init();
// Initialize all glut related stuff, including callback functions.
int LoadTexture(char *fname);
void init();

#endif
